<!DOCTYPE html>
<html lang="en">
<head>
    <%- include('../views/partials/header.ejs'); %>
</head>
<body class="container-fluid p-0  ">
    <header>
        <%- include('../views/partials/nav.ejs'); %>
    </header>
    <main>
      
    <div class="container pt-5 pb-5">
        <div class="row">
            <div class="col-12 col-md-12">
                <form action="/alumnos" method="post" class="form-inline form-alumnos">
                    <input class="form-control" type="number" name="matricula" id="matricula" placeholder="Matricula" required >
                    <input class="form-control" type="text" name="nombre" id="nombre" placeholder="Nombre" required >
                    <input class="form-control" type="text" name="direccion" id="direccion" placeholder="Domicilio" required>
                    <input class="form-control" type="text" name="sexo" id="sexo" placeholder="M ó F" maxlength="1" required>
                    <input class="form-control" type="text" name="especialidad" id="especialidad" placeholder="Especialidad" required >
                    <div>
                      <button name="buscar" id="btnBuscar">Buscar</button>
                      <button name="submit" type="submit" class="btn btn-primary agregar " id="btnAgregar">Agregar</button>
                      
                    </div>
                </form>
            </div>
            <div class="col-12 col-md-12">
                <div class="table-responsive">
                    <table class="table pt-2 pb-1 tablaAlumnos">
                      <thead class="thead-dark">
                        <tr>
                          <th scope="col" id="id">ID</th>
                          <th scope="col" id="matricula">Matricula</th>
                          <th scope="col" id="nombre">Nombre</th>
                          <th scope="col" id="direccion">Domicilio</th>
                          <th scope="col" id="sexo">Sexo</th>
                          <th scope="col" id="especialidad">Especialidad</th>
                        </tr>
                      </thead>
                      <tbody>
                        <%
                          if(reg!=null){
                          for (var i = 0; i < reg.length; i++) { %>
                          <tr>
                          <td><%= reg[i].idalumnos %></td>
                          <td><%= reg[i].matricula %></td>
                          <td><%= reg[i].nombre %></td>
                          <td><%= reg[i].direccion %></td>
                          <td><%= reg[i].sexo %></td>
                          <td><%= reg[i].especialidad %></td>
                          </tr>
                          <% }
                        }%>
                        </tbody>
                    </table>
                  </div>
            </div>
        </div>
    </div>

    </main>
<footer class="footer">
    <script src="js/peticiones.js"></script>
    <%- include('../views/partials/footer.ejs'); %>
    <script src="js/peticiones.js"></script>
</footer>
</body>
</html>